/* [styx_pim.c] Parser table for 'styx'  */



#include "prs.h"

#include "prs_imp.h"


static string styx_SNames[] = {
  "Parenthesis", "Comment", "Ide", "Nat", "Opr", 
  "Set", "Seq", "MacInc", "MacDel", "MacDfn", 
  "MacSep", "MacCond", "Language", "Context", "Free", 
  "Grammar", "Regular", "=", "InGroup", "ExGroup", 
  "Group", "let", "tok", "ign", "com", 
  "lan", "ind", ":", "!", "!+", 
  "!-", "[", "ica", "]", "/", 
  "<", ">", "?", "|", "-", 
  ",", "{", "}", "*", "+", 
  "..", "(", ")", "xtop", "start", 
  "err", "other", "...", "Source", "OptCfg", 
  "QlxDfns0", "QlxDfns", "QlxDfn", "Ids0", "Ids", 
  "QlxCat", "QlxGrp", "QlxGrp0", "QlxGrp1", "QlxOpt", 
  "ExpQuot", "ExpDyck", "Exp0", "Exp", "Exp1", 
  "OptNat", "Limit", "Exp2", "Exp3", "Exp4", 
  "Dfns", "Dfn", "Cat0", "Cat", "DfnOpt", 
  "Prds", "Lay", "Prd", "Mbrs", "Mbr", 
  "Mbr1", "OptKey"
};

static int styx_StartIds[] = {
  53
};

static int styx_TokKind[] = {
  1, 6, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2
};

static int styx_NtClass[] = {
  0, 1, 3, 3, 4, 6, 6, 7, 
  8, 8, 8, 11, 15, 15, 15, 15, 
  15, 17, 18, 15, 15, 15, 22, 23, 
  25, 25, 26, 27, 28, 29, 30, 31, 
  31, 33
};

static c_bool styx_ErrorNt[] = {
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0
};

static KFGHEAD styx_KfgHead = {
  "styx",
  53, 34, styx_SNames,
  1, styx_StartIds,
  styx_TokKind,
  styx_NtClass,
  styx_ErrorNt
};

static int styx_PSymbols[] = {
  12, 70, 2, 55, 54,
  13, 14, 15, 75,
  16, 15, 56,
  57, 56,
  60, 64, 62, 2, 63, 17, 65,
  18, 2,
  19, 2,
  20, 2, 17, 59,
  2, 58,
  2, 58,
  21,
  22,
  23,
  24,
  25,
  26,
  27, 2, 27,
  61,
  28, 2,
  28,
  29, 2,
  29,
  30,
  61,
  31, 32, 33,
  66, 34, 74,
  66,
  35, 68, 36, 67, 35, 68, 36,
  35, 17, 67, 36, 5, 35, 67, 36,
  35, 37, 67, 36, 2, 35, 67, 36,
  68,
  68,
  68, 38, 69,
  68, 39, 69,
  69,
  69, 72,
  72,
  3,
  3,
  3, 40, 70,
  31, 68, 33,
  41, 68, 42,
  73, 43,
  73, 44,
  73, 71,
  73,
  74,
  74, 45, 74,
  46, 68, 47,
  6,
  5,
  2,
  76, 75,
  78, 79, 2, 80,
  48,
  21,
  49,
  77,
  31, 50, 33,
  82, 80,
  27,
  37,
  28,
  81, 2, 27, 83,
  84, 83,
  6,
  31, 51, 33,
  85,
  2,
  31, 86, 85, 86, 52, 86, 33,
  46, 86, 85, 86, 52, 86, 47,
  31, 86, 85, 86, 33,
  6, 86,
  53
};

static int styx_PSymFrms[] = {
  0, 11, 18, 0, 0,
  0, 10, 17, -2,
  0, 10, -2,
  0, 0,
  0, 7, 14, 22, 26, 34, 38,
  0, 10,
  0, 10,
  0, 10, 14, 18,
  0, 4,
  0, 4,
  0,
  0,
  0,
  0,
  0,
  0,
  0, 4, 8,
  0,
  0, 5,
  0,
  0, 5,
  0,
  0,
  0,
  0, 4, 10,
  0, 8, 12,
  0,
  0, 4, 8, 12, 17, 21, 25,
  0, 4, 8, 13, 17, 21, 25, 30,
  0, 4, 8, 13, 17, 21, 25, 30,
  0,
  0,
  0, 4, 8,
  0, 4, 8,
  0,
  0, 5,
  0,
  0,
  0,
  0, 4, 8,
  0, 4, 8,
  0, 4, 8,
  0, 5,
  0, 5,
  0, 5,
  0,
  0,
  0, 5, 10,
  0, 4, 8,
  0,
  0,
  0,
  0, 0,
  0, 4, 11, 0,
  0,
  0,
  0,
  0,
  0, 4, 10,
  0, 0,
  0,
  0,
  0,
  0, 4, 8, -2,
  0, 0,
  0,
  0, 4, 12,
  0,
  0,
  0, 4, 11, 16, 23, 29, 36,
  0, 4, 11, 16, 23, 29, 36,
  0, 4, 11, 16, 23,
  0, 4,
  0
};

static KFGPROD styx_KfgProds[] = {
  { "root", 0, 53, 5, &styx_PSymbols[0], &styx_PSymFrms[0] },
  { "non", 0, 54, 0, (int*)NULL, (int*)NULL },
  { "cfg", 0, 54, 4, &styx_PSymbols[5], &styx_PSymFrms[5] },
  { "nil", 0, 55, 0, (int*)NULL, (int*)NULL },
  { "ign0", 0, 55, 3, &styx_PSymbols[9], &styx_PSymFrms[9] },
  { "nil", 0, 56, 0, (int*)NULL, (int*)NULL },
  { "cons", 0, 56, 2, &styx_PSymbols[12], &styx_PSymFrms[12] },
  { "defn", 2, 57, 7, &styx_PSymbols[14], &styx_PSymFrms[14] },
  { "igrp", 2, 57, 2, &styx_PSymbols[21], &styx_PSymFrms[21] },
  { "xgrp", 2, 57, 2, &styx_PSymbols[23], &styx_PSymFrms[23] },
  { "mgrp", 2, 57, 4, &styx_PSymbols[25], &styx_PSymFrms[25] },
  { "nil", 0, 58, 0, (int*)NULL, (int*)NULL },
  { "cons", 0, 58, 2, &styx_PSymbols[29], &styx_PSymFrms[29] },
  { "cons", 0, 59, 2, &styx_PSymbols[31], &styx_PSymFrms[31] },
  { "letC", 0, 60, 1, &styx_PSymbols[33], &styx_PSymFrms[33] },
  { "tokC", 0, 60, 1, &styx_PSymbols[34], &styx_PSymFrms[34] },
  { "ignC", 0, 60, 1, &styx_PSymbols[35], &styx_PSymFrms[35] },
  { "comC", 0, 60, 1, &styx_PSymbols[36], &styx_PSymFrms[36] },
  { "lanC", 0, 60, 1, &styx_PSymbols[37], &styx_PSymFrms[37] },
  { "indC", 0, 60, 1, &styx_PSymbols[38], &styx_PSymFrms[38] },
  { "non", 0, 61, 0, (int*)NULL, (int*)NULL },
  { "grp", 0, 62, 3, &styx_PSymbols[39], &styx_PSymFrms[39] },
  { "ign0", 0, 62, 1, &styx_PSymbols[42], &styx_PSymFrms[42] },
  { "grp", 0, 63, 2, &styx_PSymbols[43], &styx_PSymFrms[43] },
  { "igrp", 0, 63, 1, &styx_PSymbols[45], &styx_PSymFrms[45] },
  { "pgrp", 0, 63, 2, &styx_PSymbols[46], &styx_PSymFrms[46] },
  { "pigrp", 0, 63, 1, &styx_PSymbols[48], &styx_PSymFrms[48] },
  { "pop", 0, 63, 1, &styx_PSymbols[49], &styx_PSymFrms[49] },
  { "ign0", 0, 63, 1, &styx_PSymbols[50], &styx_PSymFrms[50] },
  { "non", 0, 64, 0, (int*)NULL, (int*)NULL },
  { "ignca", 0, 64, 3, &styx_PSymbols[51], &styx_PSymFrms[51] },
  { "quot", 0, 65, 3, &styx_PSymbols[54], &styx_PSymFrms[54] },
  { "ign0", 0, 65, 1, &styx_PSymbols[57], &styx_PSymFrms[57] },
  { "dyck", 0, 66, 7, &styx_PSymbols[58], &styx_PSymFrms[58] },
  { "spat", 0, 66, 8, &styx_PSymbols[65], &styx_PSymFrms[65] },
  { "epat", 0, 66, 8, &styx_PSymbols[73], &styx_PSymFrms[73] },
  { "ign0", 0, 66, 1, &styx_PSymbols[81], &styx_PSymFrms[81] },
  { "non", 0, 67, 0, (int*)NULL, (int*)NULL },
  { "ign0", 0, 67, 1, &styx_PSymbols[82], &styx_PSymFrms[82] },
  { "union", 0, 68, 3, &styx_PSymbols[83], &styx_PSymFrms[83] },
  { "diff", 0, 68, 3, &styx_PSymbols[86], &styx_PSymFrms[86] },
  { "ign1", 0, 68, 1, &styx_PSymbols[89], &styx_PSymFrms[89] },
  { "conc", 0, 69, 2, &styx_PSymbols[90], &styx_PSymFrms[90] },
  { "ign1", 0, 69, 1, &styx_PSymbols[92], &styx_PSymFrms[92] },
  { "non", 0, 70, 0, (int*)NULL, (int*)NULL },
  { "nat", 0, 70, 1, &styx_PSymbols[93], &styx_PSymFrms[93] },
  { "ntime", 0, 71, 1, &styx_PSymbols[94], &styx_PSymFrms[94] },
  { "range", 0, 71, 3, &styx_PSymbols[95], &styx_PSymFrms[95] },
  { "opt", 0, 72, 3, &styx_PSymbols[98], &styx_PSymFrms[98] },
  { "star", 0, 72, 3, &styx_PSymbols[101], &styx_PSymFrms[101] },
  { "plus0", 0, 72, 2, &styx_PSymbols[104], &styx_PSymFrms[104] },
  { "plus", 0, 72, 2, &styx_PSymbols[106], &styx_PSymFrms[106] },
  { "plusn", 0, 72, 2, &styx_PSymbols[108], &styx_PSymFrms[108] },
  { "ign1", 0, 72, 1, &styx_PSymbols[110], &styx_PSymFrms[110] },
  { "ign1", 0, 73, 1, &styx_PSymbols[111], &styx_PSymFrms[111] },
  { "range", 0, 73, 3, &styx_PSymbols[112], &styx_PSymFrms[112] },
  { "ign2", 0, 73, 3, &styx_PSymbols[115], &styx_PSymFrms[115] },
  { "sequ", 0, 74, 1, &styx_PSymbols[118], &styx_PSymFrms[118] },
  { "set", 0, 74, 1, &styx_PSymbols[119], &styx_PSymFrms[119] },
  { "ident", 0, 74, 1, &styx_PSymbols[120], &styx_PSymFrms[120] },
  { "nil", 0, 75, 0, (int*)NULL, (int*)NULL },
  { "cons", 0, 75, 2, &styx_PSymbols[121], &styx_PSymFrms[121] },
  { "defn", 2, 76, 4, &styx_PSymbols[123], &styx_PSymFrms[123] },
  { "bgnC", 0, 77, 1, &styx_PSymbols[127], &styx_PSymFrms[127] },
  { "letC", 0, 78, 1, &styx_PSymbols[128], &styx_PSymFrms[128] },
  { "bgnC", 0, 78, 1, &styx_PSymbols[129], &styx_PSymFrms[129] },
  { "ign0", 0, 78, 1, &styx_PSymbols[130], &styx_PSymFrms[130] },
  { "non", 0, 79, 0, (int*)NULL, (int*)NULL },
  { "errnt", 0, 79, 3, &styx_PSymbols[131], &styx_PSymFrms[131] },
  { "nil", 0, 80, 0, (int*)NULL, (int*)NULL },
  { "cons", 0, 80, 2, &styx_PSymbols[134], &styx_PSymFrms[134] },
  { "dft", 0, 81, 1, &styx_PSymbols[136], &styx_PSymFrms[136] },
  { "rec", 0, 81, 1, &styx_PSymbols[137], &styx_PSymFrms[137] },
  { "grp", 0, 81, 1, &styx_PSymbols[138], &styx_PSymFrms[138] },
  { "prod", 1, 82, 4, &styx_PSymbols[139], &styx_PSymFrms[139] },
  { "nil", 0, 83, 0, (int*)NULL, (int*)NULL },
  { "cons", 1, 83, 2, &styx_PSymbols[143], &styx_PSymFrms[143] },
  { "tkm", 0, 84, 1, &styx_PSymbols[145], &styx_PSymFrms[145] },
  { "else", 0, 84, 3, &styx_PSymbols[146], &styx_PSymFrms[146] },
  { "ign0", 0, 84, 1, &styx_PSymbols[149], &styx_PSymFrms[149] },
  { "ntm", 0, 85, 1, &styx_PSymbols[150], &styx_PSymFrms[150] },
  { "klst0", 0, 85, 7, &styx_PSymbols[151], &styx_PSymFrms[151] },
  { "klst1", 0, 85, 7, &styx_PSymbols[158], &styx_PSymFrms[158] },
  { "opt", 0, 85, 5, &styx_PSymbols[165], &styx_PSymFrms[165] },
  { "nil", 0, 86, 0, (int*)NULL, (int*)NULL },
  { "cons", 0, 86, 2, &styx_PSymbols[170], &styx_PSymFrms[170] },
  { "Start_Source", 0, 87, 1, &styx_PSymbols[172], &styx_PSymFrms[172] }
};

static int styx_MstShifts[] = {
  1, 3, -1, -1, 5, 7, 9, 11, 
  21, 31, -1, 33, 35, 37, -1, -1, 
  -1, -1, -1, -1, -1, 21, 39, 41, 
  -1, -1, 43, -1, 45, 47, 51, 55, 
  57, 59, -1, 61, -1, -1, -1, -1, 
  51, -1, 63, 65, -1, -1, 67, 71, 
  -1, 75, 77, 65, -1, -1, 79, 81, 
  -1, -1, 83, 85, 89, -1, -1, -1, 
  99, -1, -1, -1, -1, -1, 107, 89, 
  -1, -1, -1, 114, 128, 114, 114, -1, 
  137, 140, 114, -1, 145, 149, 151, -1, 
  155, 114, 114, 161, 167, 173, 179, 114, 
  114, -1, 183, -1, -1, -1, 179, 188, 
  -1, 193, 140, 195, 114, -1, -1, -1, 
  114, 114, 3, -1, -1, -1, 198, 201, 
  -1, 188, -1, 203, 205, 207, -1, 201, 
  209, 213, 213, -1, 217, 219, 114, -1, 
  -1, 201, 201, 201, 114, 114, 223, 228, 
  231, 233, 235, -1, -1, 201, 201, -1, 
  -1, 237, 239, -1, -1
};

static int styx_DtlShifts[] = {
  -2, 12, -4, 3, -6, 2, -7, 16, 
  -9, 15, -10, 13, -12, -13, -14, -15, 
  -16, -17, -18, -19, -20, 26, 25, 24, 
  23, 22, 21, 20, 19, 18, -24, 14, 
  -25, 2, -26, 2, -27, 2, -29, 31, 
  -31, 15, -32, 17, -33, 32, -34, 27, 
  -37, -38, -39, 49, 48, 21, -44, 2, 
  -46, 33, -47, 2, -48, 2, -50, 31, 
  -52, 2, -54, 27, -55, -56, -57, 30, 
  29, 28, -60, 50, -61, 2, -63, 2, 
  -64, 2, -65, 17, -66, 33, -67, -68, 
  -69, 37, 28, 27, -73, -74, -75, -76, 
  -77, -78, -79, 46, 41, 35, 31, 6, 
  5, 2, -87, 2, -73, -74, -75, -76, 
  -78, -79, 46, 41, 31, 6, 5, 2, 
  -73, -74, -75, -76, -78, -79, -90, -91, 
  37, 17, 46, 41, 31, 6, 5, 2, 
  -95, 34, -96, -97, 39, 38, -99, -100, 
  -101, 44, 43, 3, -103, 45, -104, 27, 
  -96, -97, -105, 33, 39, 38, -96, -97, 
  -109, 36, 39, 38, -96, -97, -110, 42, 
  39, 38, -96, -97, -111, 47, 39, 38, 
  -73, -74, -75, 6, 5, 2, -115, 40, 
  -117, -118, -119, -120, 46, 31, 6, 2, 
  -124, 36, -125, 36, -128, -129, 51, 6, 
  -128, 6, -133, 5, -134, 2, -135, 35, 
  -137, 33, -117, -120, -138, 31, 46, 2, 
  -141, 35, -142, 35, -96, -97, -148, 36, 
  39, 38, -149, -150, 52, 33, -151, 52, 
  -152, 36, -153, 36, -156, 33, -157, 47
};

static int styx_GoTos[] = {
  0, 2, 4, 6, 10, 13, 17, 19, 
  22, 26, 28, 30, 32, 34, 36, 46, 
  64, 80, 84, 86, 104, 121, 142, 146, 
  149, 152, 155, 157, 161, 164, 167, 171, 
  174, 181
};

static int styx_GoToDfts[] = {
  160, -1, 168, -8, 165, -6, 178, 9, 
  185, 22, 179, -9, -22, 210, 44, 219, 
  52, 202, -32, 180, -9, -22, 192, 30, 
  215, 48, 193, -30, 216, -48, 187, -23, 
  237, -65, 238, -65, 263, 90, 265, 91, 
  283, 109, 303, 141, 304, 142, 239, 65, 
  246, 76, 249, 77, 250, 78, 251, 79, 
  264, 90, 91, 109, 141, 142, 300, 135, 
  240, 65, 76, 77, 78, 79, 90, 91, 
  109, 135, 141, 142, 270, 96, 271, 97, 
  162, 2, 284, 115, 259, -85, 241, 65, 
  76, 77, 78, 79, 90, 91, 96, 97, 
  109, 135, 141, 142, 255, 83, 113, 114, 
  242, -65, -76, -77, -78, -79, -83, -90, 
  -91, -96, -97, -109, -113, -114, -135, -141, 
  -142, 243, 65, 76, 77, 78, 79, 83, 
  90, 91, 96, 97, 109, 113, 114, 135, 
  141, 142, 269, 95, 273, 103, 197, 31, 
  206, 41, 198, -31, -41, 199, -31, -41, 
  200, -31, -41, 208, -43, 227, 61, 245, 
  72, 228, -61, -72, 229, -61, -72, 278, 
  104, 289, 122, 279, -104, -122, 280, 104, 
  122, 296, 130, 297, 131, 287, 119, 138, 
  288, 120, 293, 128, 301, 139, 302, 140, 
  311, 150, 312, 151
};

static int styx_ActDfts[] = {
  88, 45, 89, 46, 88, 4, 88, 2, 
  6, 88, 1, 88, 88, 88, 15, 16, 
  17, 18, 19, 20, 5, 6, 30, 88, 
  9, 10, 88, 7, 88, 21, 61, 88, 
  88, 88, 23, 88, 65, 64, 66, 3, 
  61, 67, 68, 12, 11, 31, 88, 21, 
  62, 88, 88, 12, 14, 22, 25, 27, 
  28, 29, 88, 88, 70, 13, 24, 26, 
  88, 69, 72, 74, 73, 63, 88, 70, 
  60, 59, 58, 88, 88, 88, 88, 8, 
  33, 37, 42, 44, 54, 55, 88, 71, 
  88, 38, 38, 88, 88, 88, 88, 88, 
  88, 43, 47, 51, 52, 53, 88, 76, 
  49, 88, 39, 88, 38, 50, 57, 32, 
  40, 41, 45, 56, 81, 78, 85, 85, 
  75, 76, 80, 88, 88, 88, 48, 85, 
  88, 88, 88, 77, 88, 88, 88, 86, 
  79, 85, 85, 85, 38, 38, 88, 88, 
  88, 88, 88, 34, 84, 85, 85, 35, 
  36, 88, 88, 82, 83
};


static PARSETAB styx_ParseTab = {
  &styx_KfgHead, 87, styx_KfgProds,
  {
    157, styx_MstShifts, 240, styx_DtlShifts,
    34, styx_GoTos, 196, styx_GoToDfts,
    157, styx_ActDfts, 0, (int*)NULL
  }
};

PLR_Tab PLR_get_styx()
/* simulates a PLR_getTab */
{
  return( PLR_copyTab(&styx_ParseTab) );
}
